%define upstream_name    Geo-Ov2
%define upstream_version 0.91

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Library for reading and writing TomTom Navigator .ov2 POI files
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz
# TV: fix bogus API call:
Patch0:     Geo-Ov2-fix.diff

BuildRequires: perl(Carp)
BuildRequires: perl(Config::General)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Copy)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(IO::File)
BuildRequires: perl(Locale::TextDomain)
BuildRequires: perl(POSIX)
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Test::More)
BuildRequires: perl(locale)
BuildArch: noarch

%description
Geo::Ov2 is a library for reading and writing TomTom Navigator .ov2 POI files.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p0

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc README Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/getpoi.cron.sh
/usr/bin/getpoi.sh
/usr/bin/ttn2device
%{_mandir}/man1/ttn2device.1*



%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.910.0-10.mga9
+ Revision: 1803819
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.910.0-9.mga8
+ Revision: 1494674
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.910.0-8.mga7
+ Revision: 1268203
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.910.0-7.mga6
+ Revision: 1027802
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.910.0-6.mga6
+ Revision: 947416
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.910.0-5.mga5
+ Revision: 748236
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.910.0-4.mga5
+ Revision: 684844
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.910.0-3.mga4
+ Revision: 511870
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.910.0-2.mga3
+ Revision: 367651
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Apr 01 2011 tv <tv> 0.910.0-1.mga1
+ Revision: 79571
- imported package perl-Geo-Ov2


* Fri Apr 01 2011 cpan2dist 0.91-1mga
- initial mageia release, generated with cpan2dist
